Bug 999498 - [rhevm-dwh] - Upgrade - dwh-setup fails when upgrading from 3.2 - incorrect handling of postgres configuration
[rhevm-dwh] - Upgrade - dwh-setup fails when upgrading from 3.2 - incorrect h...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-dwh (Show other bugs)
3.3.0
Unspecified Unspecified
unspecified Severity urgent
: ---
: 3.3.0
Assigned To: Alex Lourie
Barak Dagan
integration
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-21 08:21 EDT by David Botzer
Modified: 2013-10-09 07:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 11:14:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log1 (8.03 KB, text/plain)
2013-08-21 08:21 EDT, David Botzer
no flags Details

  None (edit)
Description David Botzer 2013-08-21 08:21:44 EDT
Created attachment 788839 [details]
log1

Description of problem:
dwh-setup failed on upgrade from 3.2
incorrect handling of postgres configuration

Version-Release number of selected component (if applicable):
3.2/sf19
3.3/is10 - rhevm-dwh-3.3.0-8.el6ev.noarch

How reproducible:
always

Steps to Reproduce:
1.install 3.2 rhevm+dwh+reports
2.create vm
3.upgrade engine
4.upgrade dwh & run setup

Actual results:
setup failed

Expected results:
Should upgrade correctly

Additional info:
In order to proceed the installer must stop the ovirt-engine service
Would you like to stop the ovirt-engine service (yes|no): y
Stopping ovirt-engine...                              [ DONE ]
Setting DB connectivity...                            [ DONE ]
Creating DB...                                        [ ERROR ]
Error encountered while installing rhevm-dwh, please consult the log file: /var/log/ovirt-engine/rhevm-dwh-setup-2013_08_21_14_20_03.log
[root@dbotzer-remote2 ovirt-engine]# Srvs 
postmaster (pid  25284) is running...
ovirt-engine is stopped
/etc/init.d/ovirt-engine-dwhd is stopped
[root@dbotzer-remote2 ovirt-engine]# service postgresql restart
Stopping postgresql service:                               [  OK  ]
Starting postgresql service:                               [  OK  ]
[root@dbotzer-remote2 ovirt-engine]# rhevm-dwh-setup 
Setting DB connectivity...                            [ DONE ]
Creating DB...                                        [ ERROR ]
Error encountered while installing rhevm-dwh, please consult the log file
Comment 1 Alex Lourie 2013-09-01 17:27:26 EDT
Please retest with ovirt-dwh master.

Note You need to log in before you can comment on or make changes to this bug.